Subject: New issue with nncp-caller in 6.1.0

From: John Goerzen <[email-masked]>
Date: Sun, 28 Feb 2021 15:39:10 -0600

Hi Sergey,

First, THANKS for all the work you've been doing with NNCP. 
That's great!

Avoiding the separate check step is a huge improvement for large 
transfers.

Also, FYI, I've had some more posts at 
https://changelog.complete.org/archives/tag/nncp

So on a machine I upgraded from 5.6.0 to 6.1.0, I'm now seeing 
this from nncp-call periodically:

2021-02-28T21:17:39Z Got packet 
67YD5DNOPZCLFX2YCQHARXREOGYSVY43HNJGJMP3WMDQMOKBBK5Q 100% (1.3 KiB 
/ 1.3 KiB)
Can not humanize: strconv.ParseUint: parsing "": invalid syntax

When: 2021-02-28T21:17:39.780465113Z
Err: offset differs
Who: sp-file
Node: L3WOIONS7NFQN53SIDHT3VMJ7HELW3WLBRYTO7MEAH4OMC36JLHQ
Nice: 255
Type: file
XX: rx
Pkt: LV7CQMEYQ2SD234AZ35GROB3RT7NABGU5TVDCM5325ODFBB3ADWA
Size: 65232
Msg: deleting hasher
2

Incidentally I've also made some tests of NNCP over tor.  tor 
takes some time with connection establishment, and I wound up with 
some of those 10-second timeouts trying that.  But if I'd retry 
enough times, eventually it would work.

I put this in addrs:

        tor: "|nc -X 5 -x 127.0.0.1:9050 [redacted].onion 12345"

- John